
<div class="row form-wrapper">
    <div class="col-md-12">
        <div class="card border-0">
            <div class="card-header bg-dark text-white border-bottom border-info">
                <span class="font-weight-medium ml-2" style="line-height: 24px;">
                    <i [ngClass]="[titleIcon]"></i>
                    {{titleForm}}
                </span>
                <ng-content select="[content-type=toolbar]"></ng-content>
                <button class="btn btn-icon btn-danger btn-sm float-right" (click)="onCancel()">
                    <i class="mdi mdi-close mdi-bold"></i>
                </button>
            </div>
            <div class="card-body py-4">
                <div class="position-absolute" style="top: 55px; right: 12px;">
                    <ng-content select="[content-type=codigo]"></ng-content>
                </div>
                <ng-content></ng-content>
            </div>
            <div class="card-footer border-0 bg-transparent" *ngIf="actions">
                <div class="row">
                    <ng-container *ngIf="!edit && enableSwitch">
                        <div class="col-4">
                            <label [for]="switchId" class="switch switch-sm switch-pill switch-dark switch-label">
                                <input [id]="switchId" type="checkbox" class="switch-input" [(ngModel)]="addOnlyOne">
                                <span class="switch-slider" data-checked="SI"></span>
                            </label>
                            <label [for]="switchId" class="switch-text">Solo uno</label>
                        </div>
                    </ng-container>
                    <ng-container>
                        <div class="col-8 ml-auto text-right">
                            <button class="btn btn-info px-4 position-relative" (click)="onSubmit()"
                                [disabled]="(form?.invalid || form?.pristine) || busy" [class.not-allowed]="form?.invalid || busy">
                                {{ edit ? saveButtonLabel : addButtonLabel }}
                                <div class="h-100">
                                    <ngx-spinner [name]="spinnerName" bdColor="#00a8ff" color="#fff" size="small"
                                        type="line-scale" [fullScreen]="false">
                                    </ngx-spinner>
                                </div>
                            </button>
                            <button class="btn px-4 ml-1" (click)="onCancel()">
                                {{ cancelButtonLabel }}
                            </button>
                        </div>
                    </ng-container>
                </div>
            </div>
        </div>
    </div>
</div>

